Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class TieContentObject

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

                        |

                        +--oracle.ifs.beans.TieSystemObject

                              |

                              +--oracle.ifs.beans.ContentObject

                                    |

                                    +--oracle.ifs.beans.TieContentObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

public class TieContentObject
extends ContentObject

TieContentObject allows the Oracle-defined behavior of the CONTENTOBJECT classobject (and its subclasses) to be extended or overridden.

See Also:
  `ContentObject`

Fields inherited from class oracle.ifs.beans.ContentObject
`CHARACTERSET_ATTRIBUTE, CLASS_NAME, CONTENT_ATTRIBUTE, CONTENTSIZE_ATTRIBUTE, FORMAT_ATTRIBUTE, LANGUAGE_ATTRIBUTE, MEDIA_ATTRIBUTE, READONLY_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Constructor Summary
`protected` | `TieContentObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a TieContentObject.

Methods inherited from class oracle.ifs.beans.ContentObject
`filterContent, generateSummary, generateThemes, getCharacterSet, getContentReader, getContentSize, getContentStream, getFilteredContent, getFormat, getLanguage, getSummary, getThemes, isReadOnly, setReadOnly`

Methods inherited from class oracle.ifs.beans.SystemObject
`getPolicyBundle, getPropertyBundle, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### TieContentObject

    protected TieContentObject(LibrarySession session,
                               java.lang.Long id,
                               java.lang.Long classId,
                               S_LibraryObjectData data)
                        throws IfsException

  Constructs a TieContentObject.
  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD